%define ghc_ver %(ghc --numeric-version)
%define pkgname yaml

Name:          ghc-yaml
Version:       0.8.10.1
Release:       1mamba
Summary:       GHC library: Support for parsing and rendering YAML documents
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://hackage.haskell.org/package/%{pkgname}
Source:        http://hackage.haskell.org/package/yaml-%{version}/yaml-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: hscolour
BuildRequires: ghc-conduit
BuildRequires: ghc-enclosed-exceptions
BuildRequires: ghc-resourcet
BuildRequires: libyaml-devel
Requires:      ghc = %{ghc_ver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Support for parsing and rendering YAML documents.

%prep
%setup -q -n yaml-%{version}

%build
runghc Setup.lhs configure -v2 \
   --flags="system-libyaml" \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --libexecdir=%{_libexecdir} \
   --docdir=%{_docdir}/%{name}-%{version}

runghc Setup.lhs build
# --executables fails here
runghc Setup.lhs haddock --html-location=URL --hyperlink-source

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
runghc Setup.lhs copy --destdir=%{buildroot}
runghc Setup.lhs register \
   --gen-pkg-config="%{buildroot}%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
ghc-pkg register %{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf &>/dev/null || :

%preun
ghc-pkg unregister %{pkgname}-%{version} &>/dev/null || :

%files
%defattr(-,root,root)
%{_bindir}/json2yaml
%{_bindir}/yaml2json
%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/LICENSE
%{_docdir}/%{name}-%{version}/html

%changelog
* Mon Apr 13 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.8.10.1-1mamba
- package created by autospec
